package com.community.huiju.common.perproties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 登陆的状态跳转url配置
 * @author weiximei
 */
@ConfigurationProperties(prefix = "login-code-perproties")
@Component
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LoginCodePerproties {

    /**
     * 状态url集合
     */
    private Map<String, String> loginCode;

    /**
     * app 请求地址
     */
    private String appUrl;

    /**
     * 默认的演示账号
     */
    private String phone;

}
