package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpRentalHouse;

/**
 * <p>
 * 出租公寓表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface ITpRentalHouseService extends IService<TpRentalHouse> {
	
	/**
	 * 获取公寓房间列表
	 * @param id
	 * @param houseName
	 * @param startPrice
	 * @param endPrice
	 * @param rentalType
	 * @param houseType
	 * @param houseStatus
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getRentalList(Integer id, String houseName, Integer startPrice, Integer endPrice, String rentalType, String houseType, String houseStatus, UserElement userElement, Integer pageNum, Integer pageSize);
	
	/**
	 * 保存长租公寓房间信息
	 * @param rentalHouse
	 * @param userElement
	 * @return
	 */
	ResponseBean saveRental(TpRentalHouse rentalHouse, UserElement userElement);
	
	/**
	 * 根据ID取值
	 * @param id
	 * @return
	 */
	TpRentalHouse getRentalById(Integer id);
	
	/**
	 * 更新公寓
	 * @param rentalHouse
	 * @param userElement
	 * @return
	 */
	ResponseBean updateRental(TpRentalHouse rentalHouse, UserElement userElement);
}
